##  for PCLinuxOS  ##

%define oname kcm-fcitx

%define ver 0.5.5
%define rel 2

%define git_date 0
%if %{git_date}
%define realrel %{rel}.git%{git_date}.nora20
%else
%define realrel %{rel}.nora20
%endif

%define fcitx_ver 4.2.9.6


Name:    kcm5-fcitx
Summary: KF5 Contorol Module for Fcitx
Version: %{ver}
Release: %{realrel}
Group:   System/Internationalization
License: GPLv2+
URL:     http://github.com/fcitx/kcm-fcitx

%if %{git_date}
Source0: %{oname}-git%{git_date}.tar.xz
%else
Source0: http://download.fcitx-im.org/%{oname}/%{oname}-%{version}.tar.xz
%endif

# Source1 and Patch0 from openSUSE M17N repo.
Source1: input-keyboard.svg
Patch0: %{name}-po.patch

BuildRequires: fcitx-devel >= %{fcitx_ver}
BuildRequires: fcitx-qt5-devel
BuildRequires: cmake
BuildRequires: extra-cmake-modules
BuildRequires: qt5core-devel
BuildRequires: kf5-macros
BuildRequires: kcoreaddons-devel
BuildRequires: %{_lib}kf5widgetsaddons-devel
BuildRequires: %{_lib}kf5kcmutils-devel
BuildRequires: kitemviews-devel
BuildRequires: %{_lib}kf5i18n-devel
BuildRequires: kio-devel
BuildRequires: %{_lib}kf5newstuff-devel
BuildRequires: gettext
BuildRequires: gcc-c++
BuildRequires: intltool
BuildRequires: librsvg
#BuildRequires: unique-3.0-devel
BuildRequires: qtwayland5

Requires: fcitx >= %{fcitx_ver}
Requires: systemsettings >= 5.7

Conflicts: kcm-fcitx

%description
KF5 control module for Fcitx. 
You can config fcitx through "Personalization" - "Regional Settings" - "Input Method" now.

[CAUTION] DO NOT INSTALL TO KDE4.


%prep
%if %{git_date}
%setup -q -n %{oname}-git%{git_date}
%else
%setup -q -n %{oname}-%{version}
%endif

%patch0 -p1


%build
%cmake_kf5
%make_build


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std -C build

for i in 16 22 32 48 64 128 256; do
  mkdir -pv $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/${i}x${i}/devices/
  rsvg-convert -h $i -w $i %{SOURCE1} -o $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/${i}x${i}/devices/input-keyboard.png
done

%find_lang %{name} --all-name --with-kde


%files -f %{name}.lang
%doc COPYING
%{_bindir}/kbd-layout-viewer
%{_sysconfdir}/xdg/fcitx-skin.knsrc
%{_libdir}/qt5/plugins/kcm_fcitx.so
%{_datadir}/kservices5/*.desktop
%{_datadir}/icons/hicolor/*/devices/input-keyboard.png


%changelog
* Sat Jan 11 2020 tomcat <> 0.5.5-2
- rebuild

* Sat Sep 16 2017 tomcat <> 0.5.5-1
- update to 0.5.5

* Fri Jun 16 2017 tomcat <> 0.5.4-3.git20170610
- update to git.20170610
- update %%files

* Fri Jun 16 2017 tomcat <> 0.5.4-2
- rebuild
- add BR:qtwayland5

* Tue Feb 14 2017 tomcat <> 0.5.4-1
- 0.5.4

* Thu Jul 21 2016 tomcat <> 0.5.3-1
- 0.5.3
